﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using System.Collections.ObjectModel;
using System.Diagnostics;

namespace XamDataGridSync
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ObservableCollection<Data> data = new ObservableCollection<Data>();
            data.Add(new Data() { Name = "Jim" });
            data.Add(new Data() { Name = "Jack" });
            data.Add(new Data() { Name = "Jhonny" });

            this.DataContext = data;
        }
    }

    public class Data
    {
        private bool hasCar;

        public bool HasCar
        {
            get { return hasCar; }
            set 
            {
                hasCar = value;
                Debug.WriteLine(hasCar);
            }
        }
        
        public string Name { get; set; }
    }
}
